Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1605308 - opam: FTBFS in Fedora rawhide
Summary: opam: FTBFS in Fedora rawhide
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: opam
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ben Rosser
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1550761
Blocks: F29FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-07-20 14:48 UTC by Mohan Boddu
Modified: 2018-08-22 17:34 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-22 17:34:54 UTC


Attachments (Terms of Use)
build.log (deleted)
2018-07-20 14:48 UTC, Mohan Boddu
no flags Details
root.log (deleted)
2018-07-20 14:48 UTC, Mohan Boddu
no flags Details
state.log (deleted)
2018-07-20 14:48 UTC, Mohan Boddu
no flags Details

Description Mohan Boddu 2018-07-20 14:48:41 UTC
opam failed to build from source in Fedora rawhide

https://koji.fedoraproject.org/koji/taskinfo?taskID=28209735


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
Please fix opam at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
opam will be orphaned. Before branching of Fedora 30,
opam will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Mohan Boddu 2018-07-20 14:48:46 UTC
Created attachment 1465141 [details]
build.log

Comment 2 Mohan Boddu 2018-07-20 14:48:49 UTC
Created attachment 1465142 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Mohan Boddu 2018-07-20 14:48:55 UTC
Created attachment 1465143 [details]
state.log

Comment 4 Ben Rosser 2018-07-27 17:50:21 UTC
opam 2.0 (final) was released recently; I attempted to upgrade and see if that solved things, but it seems that we need a newer version of ocaml-re to do that.

Comment 5 Ben Rosser 2018-07-27 17:50:43 UTC
opam 2.0 (final) was released recently; I attempted to upgrade and see if that solved things, but it seems that we need a newer version of ocaml-re to do that.

Comment 6 Jan Kurik 2018-08-14 11:04:02 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 7 Ben Rosser 2018-08-21 19:36:38 UTC
I've done a few things here so far...

* Submitted a pull request to ocaml-re to update it to 1.7.3, which hopefully will make it possible to test build opam releases.

* Figured out why the build failed-- it looks like there was some deprecated syntax in opam's jbuild file for opam 2.0.0 beta6 and rc1 (just tagged as "2.0.0-rc"). If I remove the deprecated syntax, however, the build still fails on Rawhide with this unfriendly message:

Error: Files /usr/lib64/ocaml/dose3/algo.cmxa
       and /usr/lib64/ocaml/ocamlgraph/graph.cmxa
       make inconsistent assumptions over implementation Graph

If I can fix this problem quickly, I will build opam 2.0.0 rc1 (even though that's pretty old now) so the package is no longer FTBFS. Then if/when ocaml-re gets updated I'll build a newer opam release.

Comment 8 Ben Rosser 2018-08-21 20:24:49 UTC
Alright, I've managed to get opam 2.0.0-rc to build. It requires an update to ocaml-dose3 though: ocaml-dose3-5.0.1-10.20180821git2c1b8df

Comment 9 Ben Rosser 2018-08-22 15:24:20 UTC
opam-2.0.0-0.9.rc.fc29 has been built (https://koji.fedoraproject.org/koji/taskinfo?taskID=29228744).

I'll keep this open until there's also a build of opam 2.0.0-1.fc30 for Rawhide.

Comment 10 Ben Rosser 2018-08-22 17:34:54 UTC
https://koji.fedoraproject.org/koji/taskinfo?taskID=29230935

opam 2.0.0-1.fc30 has been built! Closing this ticket.


Note You need to log in before you can comment on or make changes to this bug.